#------------------------------------------------------------------------------
#
#   Interesting Times - Game
#
#------------------------------------------------------------------------------

from humerus.hegame import HEGame
from level import Level
import constants as k

class Game(HEGame):

	level_file_suffix = ".ixtlev"
	level_set_suffix = ".ixtlvs"
	
	def __init__(self, *args, **kwds):
		HEGame.__init__(self)
		self.game_speed = k.SLOWEST_GAME_SPEED
	
	def create_level(self):
		return Level()
	
	def begin_frame(self):
		level = self.playing_level
		if level:
			level.begin_frame()
	
game = Game()
